<?php

namespace App\Controller\Admin\Subthematic;

use App\Entity\Thematic\Subthematic;
use Lc\PietroBundle\Controller\Subthematic\SubthematicAdminController as PietroSubthematicAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class SubthematicAdminController extends PietroSubthematicAdminController
{
    public static function getEntityFqcn(): string
    {
        return Subthematic::class;
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getSubthematicContainer()->getRepositoryQuery();
    }
}
